%bcond_without check

Name:           python-humanize
Version:        0.5.1
Release:        %mkrel 4
Summary:        Turns dates in to human readable format, e.g '3 minutes ago'
Group:          Development/Python
License:        MIT
URL:            https://github.com/jmoiron/humanize
Source0:        %{url}/archive/%{version}/humanize-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-mock
%endif


%global _description\
This modest package contains various common humanization utilities, like turning\
a number into a fuzzy human readable duration ('3 minutes ago') or into a human\
readable size or throughput.\


%description %_description

%package -n python3-humanize
Summary: %summary
%{?python_provide:%python_provide python3-humanize}

%description -n python3-humanize
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%prep
%setup -q -n humanize-%{version}

# Remove shebangs from libs.
for lib in humanize/time.py humanize/filesize.py humanize/number.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new && mv $lib.new $lib
done

%build
%py3_build

%install
%py3_install

%find_lang humanize


%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-humanize -f humanize.lang
%doc README.rst LICENCE
%dir %{python3_sitelib}/humanize
%{python3_sitelib}/humanize/*.py
%{python3_sitelib}/humanize/__pycache__
%{python3_sitelib}/humanize-%{version}-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/humanize/locale/*/LC_MESSAGES/*.po



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-4.mga8
+ Revision: 1535027
- Mageia 8 Mass Rebuild

* Tue Oct 08 2019 wally <wally> 0.5.1-3.mga8
+ Revision: 1450634
- rebuild for python3.8

* Tue Jan 08 2019 shlomif <shlomif> 0.5.1-2.mga7
+ Revision: 1352424
- Rebuild for python3 3.7

* Mon Jan 07 2019 ngompa <ngompa> 0.5.1-1.mga7
+ Revision: 1350519
- Update to 0.5.1
- Drop Python 2 subpackage
+ juancho <juancho>
- imported package python-humanize


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed May 14 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-4
- lang fixes for .el6 target.

* Wed Apr 23 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-3
- Use __python2 rather than __python throughout. - rhbz#1088882

* Tue Apr 22 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-2
- Add python3 package - rhbz#1088882.

* Thu Apr 17 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-1
- First release

